<?php
if( !defined( 'ADMIN_PAGE' ) )
  exit( 'banners plugin by OpenSolution.org' );

require_once DIR_CORE.'banners.php';
require_once DIR_CORE.'banners-admin.php';

if( isset( $_POST['iBanner'] ) ){
  $iBanner = saveBanner( $_POST );
  if( isset( $_POST['sOptionList'] ) )
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=banners-list&sOption=save' );
  elseif( isset( $_POST['sOptionAddNew'] ) )
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=banners-form&sOption=save' );
  else
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=banners-form&sOption=save&iBanner='.$iBanner );
  exit;
}

if( isset( $iBanner ) && is_numeric( $iBanner ) ){
  $aData = throwBanner( $iBanner );
}

if( !isset( $aData['iBanner'] ) )
  $aData['iBanner'] = null;

$aSelectMenu['bBanners'] = true;
require_once DIR_TEMPLATES.'admin/_header.php'; // include headers
require_once DIR_TEMPLATES.'admin/_menu.php'; // include menu

if( isset( $sOption ) ){
  echo '<div id="msg">'.$lang['Operation_completed'].'</div>';
}
?>
<script type="text/javascript">

  function showFieldsByTypeAndExt( ){
    gEBI( 'oWidthTr' ).style.display = 'none';
    gEBI( 'oHeightTr' ).style.display = 'none';
    gEBI( 'oColorTr' ).style.display = 'none';
    $( '#oWidth' ).attr( 'data-form-check', '' );
    $( '#oHeight' ).attr( 'data-form-check', '' );
    $( '#oColor' ).attr( 'data-form-check', '' );
    <?php if( !is_numeric( $aData['iBanner'] ) ){ ?>$( '#oFile' ).attr( 'data-form-check', 'ext;jpg|gif|jpeg|png|swf' );<?php } ?>
    var iType = gEBI( 'oType' ).value;
    if( iType == 0 || iType == 1 ){
      <?php
        if( is_numeric( $aData['iBanner'] ) ){ ?>
          var aFileExt = gEBI( 'oFile' ).innerText.split( "." );
        <?php
        }
        else{
        ?>
          $( '#oFile' ).attr( 'data-form-check', 'ext;jpg|gif|jpeg|png|swf' );
          var aFileExt = gEBI( 'oFile' ).value.split( "." );
        <?php
        }
        ?>
      var sFileExt = aFileExt[aFileExt.length - 1];
      if( sFileExt == 'swf' ){
        gEBI( 'oWidthTr' ).style.display = 'table-row';
        gEBI( 'oHeightTr' ).style.display = 'table-row';
        gEBI( 'oColorTr' ).style.display = 'table-row';
        $( '#oWidth' ).attr( 'data-form-check', 'int;1' );
        $( '#oHeight' ).attr( 'data-form-check', 'int;1' );
        $( '#oColor' ).attr( 'data-form-check', 'required' );
        gEBI( 'oColor' ).value = '#ffffff';
      }
      else{
      }
      gEBI( 'oViewsMax' ).style.display = 'table-row';
      gEBI( 'oClicks' ).style.display = 'table-row';
      gEBI( 'oCaptionTr' ).style.display = 'none';
      gEBI( 'oCaption' ).value = '';
    }
    else{
      gEBI( 'oViewsMax' ).style.display = 'none';
      gEBI( 'oClicks' ).style.display = 'none';
      gEBI( 'oCaptionTr' ).style.display = 'table-row';
    <?php if( !is_numeric( $aData['iBanner'] ) ){ ?>$( '#oFile' ).attr( 'data-form-check', 'ext;jpg|gif|jpeg|png|swf' );<?php } ?>
    }

  }
  AddOnload( showFieldsByTypeAndExt );
  $(function(){ $( "#mainForm" ).quickform(); });
</script>

<h1><img src="<?php echo $config['dir_templates']; ?>admin/img/ico_banners.gif" alt="<?php echo $lang['Banner_form']; ?>" /><?php echo ( isset( $_GET['iBanner'] ) && is_numeric( $_GET['iBanner'] ) ) ? $lang['Banner_form'] : $lang['Add_banner']; ?><a href="<?php echo $config['manual_link']; ?>plugins#1.5" title="<?php echo $lang['Manual']; ?>" target="_blank"></a></h1>

<form action="?p=<?php echo $p; ?>" method="post" enctype="multipart/form-data" id="mainForm">
  <fieldset id="type2">
    <input type="hidden" name="iBanner" value="<?php echo $aData['iBanner']; ?>" />
    <table cellspacing="1" class="mainTable" id="banner">
      <thead>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
            <input type="submit" value="<?php echo $lang['save_add_new']; ?> &raquo;" name="sOptionAddNew" />
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
            <input type="submit" value="<?php echo $lang['save_add_new']; ?> &raquo;" name="sOptionAddNew" />
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <tr class="l1">
          <th><?php echo $lang['Type']; ?></th>
          <td>
            <select name="iType" onchange="showFieldsByTypeAndExt( )" id="oType">
              <?php echo throwSelectFromArray( $aBannersTypes, isset( $aData['iType'] ) ? $aData['iType'] : null ); ?>
            </select>          
          </td>
        </tr>
        <?php if( is_numeric( $aData['iBanner'] ) ){ ?>
        <tr class="l0">
          <th><?php echo $lang['File']; ?></th>
          <td><a href="<?php echo $config['dir_files'].$aData['sFile']; ?>" target="_blank" id="oFile"><?php echo $aData['sFile']; ?></a></td>
        </tr>
        <?php } else{ ?>
        <tr class="l0">
          <th><label for="oFile"><?php echo $lang['File']; ?> <span>(<?php echo $lang['required']; ?>)</span></label></th>
          <td><input type="file" name="sFile" id="oFile" size="30" class="input" data-form-check="ext;jpg|gif|jpeg|png|swf" data-form-msg="<?php echo $lang['cf_wrong_value']; ?>" onchange="showFieldsByTypeAndExt( )" /></td>
        </tr>
        <?php } ?>
        <tr class="l1">
          <th><?php echo $lang['Address']; ?></th>
          <td><input class="input" type="text" name="sLink" value="<?php if( isset( $aData['sLink'] ) ) echo $aData['sLink']; ?>" maxlength="100" size="40" /></td>
        </tr>
        <tr class="l0">
          <th><?php echo $lang['Views']; ?></th>
          <td><input class="input" type="text" name="iViews" value="<?php if( isset( $aData['iViews'] ) ) echo $aData['iViews']; else echo '0'; ?>" maxlength="7" size="10" data-form-check="int;0" /></td>
        </tr>
        <tr class="l1" id="oViewsMax">
          <th><?php echo $lang['Views_max']; ?></th>
          <td><input class="input" type="text" name="iMax" value="<?php if( isset( $aData['iMax'] ) ) echo $aData['iMax']; else echo '0'; ?>" maxlength="7" size="10" data-form-check="int;0" /> 0 - <?php echo $lang['no_limits']; ?></td>
        </tr>
        <tr class="l0" id="oClicks">
          <th><?php echo $lang['Clicks']; ?></th>
          <td><input class="input" type="text" name="iClicks" value="<?php if( isset( $aData['iClicks'] ) ) echo $aData['iClicks']; else echo '0'; ?>" maxlength="7" size="10" data-form-check="int;0" /></td>
        </tr>
        <tr class="l1">
          <th><?php echo $lang['Status']; ?></th>
          <td><?php echo throwYesNoBox( 'iStatus', isset( $aData['iStatus'] ) ? $aData['iStatus'] : (!is_numeric( $aData['iBanner'] )?true:null) ); ?></td>
        </tr>
        <tr class="l0">
          <th><?php echo $lang['Position']; ?></th>
          <td><input type="text" name="iPosition" value="<?php echo isset( $aData['iPosition'] ) ? $aData['iPosition'] : 0; ?>" class="inputr" size="3" maxlength="3" /></td>
        </tr>
        <tr class="l1" id="oCaptionTr">
          <th><?php echo $lang['Description']; ?></th>
          <td><input class="input" type="text" name="sCaption" value="<?php if( isset( $aData['sCaption'] ) ) echo $aData['sCaption']; ?>" maxlength="100" size="80" id="oCaption" /></td>
        </tr>
        <tr class="l1" id="oWidthTr">
          <th><?php echo $lang['Width']; ?></th>
          <td><input class="input" type="text" name="iWidth" value="<?php if( isset( $aData['iWidth'] ) ) echo $aData['iWidth']; ?>" maxlength="4" size="10" id="oWidth" /> px</td>
        </tr>
        <tr class="l0" id="oHeightTr">
          <th><?php echo $lang['Height']; ?></th>
          <td><input class="input" type="text" name="iHeight" value="<?php if( isset( $aData['iHeight'] ) ) echo $aData['iHeight']; ?>" maxlength="4" size="10" id="oHeight" /> px</td>
        </tr>
        <tr class="l1" id="oColorTr">
          <th><?php echo $lang['Color']; ?></th>
          <td><input class="input" type="text" name="sColor" value="<?php if( isset( $aData['sColor'] ) ) echo $aData['sColor']; ?>" maxlength="7" size="10" id="oColor" /></td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<?php
require_once DIR_TEMPLATES.'admin/_footer.php'; // include footer
?>